@echo off
set MY_PATH=%~dp0
if "%MY_PATH%"=="" set MY_PATH=.\
for /f "delims== usebackq tokens=1,2" %%G in ("%MY_PATH%tool-path.txt") do set %%G=%%H
set TOOL_PATH=%MY_PATH%%COIA_PATH%
echo COIA batch: Write PDO Data digital out node 5
if -%1-==-- echo Use COWr SerialPort
if -%1-==-- goto:eof
echo Use: COIA write node 5 digital out
"%TOOL_PATH%\COIA.exe" -p %1 --node-write 5,0x6200,1,1,0x55 --node-write 5,0x6200,2,1,0x66 --node-write 5,0x6200,3,1,0x77 --node-write 5,0x6200,4,1,0x88
"%TOOL_PATH%\COIA.exe" -p %1 --node-write 5,0x6200,1,1,0x56 --node-write 5,0x6200,2,1,0x67 --node-write 5,0x6200,3,1,0x78 --node-write 5,0x6200,4,1,0x89
"%TOOL_PATH%\COIA.exe" -p %1 --node-write 5,0x6200,1,1,0x57 --node-write 5,0x6200,2,1,0x68 --node-write 5,0x6200,3,1,0x79 --node-write 5,0x6200,4,1,0x8A
echo COIA batch COWr: end
